# Delete Object

## Simple way

{% tabs %}
{% tab title="Java" %}

```java
import com.parse.ParseObject;

public void deleteObject(ParseObject object)
{
    object.deleteInBackground();
}
```

{% endtab %}

{% tab title="Swift" %}

{% endtab %}
{% endtabs %}

## With Callback

{% tabs %}
{% tab title="Java" %}

```java
import com.parse.ParseObject;
import com.parse.DeleteCallback;
import com.parse.ParseException;


public void deleteObject(ParseObject object)
{
    object.deleteInBackground(new DeleteCallback() 
    {
        @Override
        public void done(ParseException e)
        {
            
        }
    });
}
```

{% endtab %}

{% tab title="Swift" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.symbyoz.io/code_examples/delete-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
